<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Equipos extends Admin_Controller {

	public function __construct()
	{
		parent::__construct();

		$this->load->model('monitoreo/equipos_model');
		$this->lang->load ('monitoreo/equipos');
 

		/* Titulo de la pagina :: Common */
		$_SESSION['id_modulo'] = 'MONITOREO_EQUIPOS_TRABAJOS';
		$this->page_title->push('Configuracion de Equipos de Trabajo');
		$this->data['pagetitle'] = $this->page_title->show();
		$_SESSION['id_modulo'] = 'EQUIPOS';

		/* Breadcrumbs :: Common */
		$this->breadcrumbs->unshift(1, lang('menu_monitoreo'), 'monitoreo/equipos');

	}

	public function index()
	{

		/* Breadcrumbs - Miga de pan */
		$this->data['breadcrumb'] 	= $this->breadcrumbs->show();
		$_SESSION['id_modulo'] = 'MONITOREO_EQUIPOS_TRABAJOS';
        //********* COMBOBOX's **********
        // ------------------------------ Coordinador
		$el_join = 'users.id = users_groups.user_id ';
		$array_where = array('group_id' => '5');
		$array_where =  '5' ;
        $coordinador = $this->equipos_model->trae_grupos('users_groups',$array_where, $el_join)->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($coordinador as $enc) {
			$coordinadores[$enc['id']] = $enc['first_name']. ' ' . $enc['last_name'] ;
		}
		if (!isset($coordinadores)){$coordinadores ="";}
		$this->data['coordinador'] 	= $coordinadores;  
		
        // ------------------------------ Supervisor
		$el_join = 'users.id = users_groups.user_id ';
 		$array_where = array('group_id' => '6');
 		$array_where = '6' ;
        $supervisor = $this->equipos_model->trae_grupos('users_groups',$array_where, $el_join)->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($supervisor as $enc) {
			$supervisores[$enc['id']] = $enc['first_name']. ' ' . $enc['last_name'] ;
		}
		if (!isset($supervisores)){$supervisores ="";}
		$this->data['supervisor'] 	= $supervisores;  

	    // ------------------------------ Supervisor asignado a coordinador
	    $supervisor_asignado = $this->equipos_model->equipos_trabajos('equipos_trabajos')->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($supervisor_asignado as $enc) {
			$supervisores_asignados[$enc['equipo_id_supervisor']] = $enc['users_nombre_supervisor'] ;
		}
		if (!isset($supervisores_asignados)){$supervisores_asignados ="";}
		$this->data['supervisor_asignado'] 	= $supervisores_asignados; 

        // ------------------------------ Verificador
		$el_join = 'users.id = users_groups.user_id ';
 		$array_where = array('group_id' => '7'); // Grupo 7 es VERIFICADOR
 		$array_where = '7' ;
        $verificador = $this->equipos_model->trae_grupos('users_groups',$array_where, $el_join)->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($verificador as $enc) {
			$verificadores[$enc['id']] = $enc['first_name']. ' ' . $enc['last_name'] ;
		}
		if (!isset($verificadores)){$verificadores ="";}
		$this->data['verificador'] 	= $verificadores; 


        //********* LISTADOS **********
        // ------------------------------ Coordinador A Supervisor y A Verificador
        // Panel 1
		$this->data['equipos_trabajos_coordinador_supervisor'] = $this->equipos_model->equipos_trabajos('equipos_trabajos')->result();
		// Panel 2
		$array_where = '0' ;
		$this->data['equipos_trabajos_supervisor_verificador'] = $this->equipos_model->equipos_trabajos('equipos_trabajos',$array_where)->result();
 



		// Ejecutar vista
		//---------------------------------------------------------------------------------------------//
		$this->template->admin_render('monitoreo/equipos', $this->data);

	}

	public function insertar_equipo_trabajo()
	{
	 
		//$p1_coordinador 	= $_POST['p1_coordinador'];
		//$p1_supervisor 		= $_POST['p1_supervisor'];
		$accion 			= $_POST['accion'];
		//show_error(
		//	'p2_supervisor: '		. $p2_supervisor	.'<br>'.
		//	'p2_verificador: ' 		. $p2_verificador	.'<br>'.
		//	'accion: '				. $accion 
		//);
		//redirect('monitoreo/equipos/index');

		switch ($accion) {
			case 'agregar_coordinador_supervisor':

					$datos = array(
					 	'id_coordinador' 	=> $this->input->post('p1_coordinador'), 
					 	'id_supervisor' 	=> $this->input->post('p1_supervisor')
						);

					 $query = $this->equipos_model->insertar_equipo_trabajo($datos);
			break;

			case 'eliminar_coordinador_supervisor':

					$datos = array(
					 	'id_coordinador' 	=> $this->input->post('p1_coordinador'), 
					 	'id_supervisor' 	=> $this->input->post('p1_supervisor')
						);

					 $query = $this->equipos_model->eliminar_equipo_trabajo($datos);
			break; 

			case 'agregar_supervisor_verificador':

					$datos = array(
					 	'id_supervisor' 	=> $this->input->post('p2_supervisor'), 
					 	'id_verificador' 	=> $this->input->post('p2_verificador')
						);

					 $query = $this->equipos_model->insertar_equipo_trabajo($datos);

			break;

			case 'eliminar_supervisor_verificador':

					$datos = array(
					 	'id_verificador' 	=> $this->input->post('p2_verificador'), 
					 	'id_supervisor' 	=> $this->input->post('p2_supervisor')
						);

					 $query = $this->equipos_model->eliminar_equipo_trabajo($datos); 
			break;

			default:
				# code...
				break;
		}
 
		if ($query)
		{
			$this->session->set_flashdata(
				'message', 
				$this->ion_auth->messages()
			);
			redirect('monitoreo/equipos');
		}

	}

	public function test_json()
	{


		$arr = array(
			'a' => 'hola codeigniter, te pillamos', 
			'b' => 'esto es un ejemplo simple', 
			'c' => 'con json encode', 
			'd' => 'desde el controlador', 
			'e' => ' ', 
			);

		echo json_encode($arr);

	}

	public function trae_cuest_reg01()
	{

		//include('application/models/cuest/reg01_model.php');
		//include('application/language/spanish/cuest/reg01_lang.php');
		
		include('application/views/cuest/reg01/create.php');

		//echo base_url()."application/views/cuest/reg01/create.php";
		// echo "asdf ajsldflñ asjdflñaksjdlfjaskfdñsakjfdñlakjslñfdkjaslñkjfd lñasj fdlñ sakjfdlñkaslñdfaslñkjfd lasfd";
	}
	public function plantilla_reg01()
	{

		// Prueba para AJAX ----------------
		$this->load->model(	'cuest/reg01_model'	);
		$this->lang->load(	'cuest/reg01_lang'	);
		$this->data['reg01'] = $this->reg01_model->reg01()->result();
        // ---------------- ----------------

		

		/* Title Page :: Common */
		$this->page_title->push(lang('menu_reg01'));
		$this->data['pagetitle'] = $this->page_title->show();

		/* Breadcrumbs :: Common */
		$this->breadcrumbs->unshift(1, lang('menu_reg01'), 'admin/reg01');
 		// ---------------- ----------------
		
		//$this->output->set_output(json_encode($array));

		$plano = $this->load->view ('cuest/reg01/create');
		return $plano;
	}

	public function dibujar_plantilla_reg01()
	{
 		
		$plano = $this->load->view ('cuest/reg01/reg01_caratula');
		return $plano;
	}

	public function traer_datos_formulario_reg01()
	{
		$identificador = $_SESSION['identificador'];
		//$this->data['reg01_info'] = $this->reg01_model->view($identificador)->row();
		$registros = $this->reg01_model->view($identificador)->row();

		//$registros['dpto_descripcion'] 		= $this->reg01_model->dpto_descripcion($registros->dpto)->row();
		//$registros['distrito_descripcion'] 	= $this->reg01_model->distrito_descripcion($registros->distrito)->row();
		//$registros['colonia_descripcion'] 	= $this->reg01_model->colonia_descripcion($registros->colonia)->row();

		//$registros += [ 
		//	"dpto_descripcion" => $this->reg01_model->dpto_descripcion($registros->dpto)->row(), 
		//	"distrito_descripcion" => $this->reg01_model->distrito_descripcion($registros->distrito)->row(), 
		//	"colonia_descripcion" => $this->reg01_model->colonia_descripcion($registros->colonia)->row() 
		//];

	 
		//$a = $this->reg01_model->dpto_descripcion($registros->dpto)->row(); 
		//$b = $this->reg01_model->distrito_descripcion($registros->distrito)->row();
		//$c = $this->reg01_model->colonia_descripcion($registros->colonia)->row();
		 

		//array_push($registros, "dpto_descripcion", 		$this->reg01_model->dpto_descripcion($registros->dpto)->row()			);
		//array_push($registros, "distrito_descripcion", 	$this->reg01_model->distrito_descripcion($registros->distrito)->row()	);
		//array_push($registros, "colonia_descripcion", 	$this->reg01_model->colonia_descripcion($registros->colonia)->row()		);
 
		echo json_encode($registros);
	}

	public function trae_descripcion_codigo()
	{
		// El ID es el codigo de DPTO, Dtto, Colonia, etc, y trae su descripcion
	 	$id 	= $_POST['id'];
	 	$tabla 	= $_POST['tabla'];
	 	$campo 	= $_POST['campo'];
 		$registros = $this->reg01_model->trae_descripcion_codigo($tabla, $campo, $id)->row();
		echo json_encode($registros);
	}

}